#ifndef Start_H
#define Start_H

#include <Schrift.h>
#include <Thread.h>
#include <InitDatei.h>
#include <Fenster.h>
#include "../Ressourcen/Ressourcen.h"

using namespace Framework;

class LadeBildschirm : public Thread
{
private:
	Schrift *schrift;
	InitDatei *iD;
	WFenster *lF;
	RessourceBild *bilder;
	RessourceSchrift *schriften;

public:
	// Konstruktor
	LadeBildschirm( Schrift *s, InitDatei *d, WFenster *f );
	// Destruktor
	virtual ~LadeBildschirm();
	// nicht constant
	virtual void thread();
	// constant
	RessourceBild *getBilder();
	RessourceSchrift *getSchriften();
};

#endif